Package io.dapr.v1

# Interface CommonProtos.EtagOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `CommonProtos.Etag`, `CommonProtos.Etag.Builder`

Enclosing class:
  CommonProtos

public static interface CommonProtos.EtagOrBuilder extends com.google.protobuf.MessageOrBuilder

## Method Summary

Modifier and Type
Method
Description
`String`
`getValue()`
value sets the etag value
`com.google.protobuf.ByteString`
`getValueBytes()`
value sets the etag value

### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

`isInitialized`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getValue

String getValue()

     value sets the etag value

`string value = 1;`

Returns:
  The value.

### getValueBytes

com.google.protobuf.ByteString getValueBytes()

     value sets the etag value

`string value = 1;`

Returns:
  The bytes for value.